function objetoAjax(){
 var xmlhttp=false;
 try {
  xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
 } catch (e) {
  try {
   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
  } catch (e) {
   xmlhttp = false;
  }
 }
 if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
  xmlhttp = new XMLHttpRequest();
 }
 return xmlhttp;
}

function buscarproduccion(){
	var dni = document.getElementById('dni').value;
    var anno = document.getElementById('cbanno').value;
    var mes = document.getElementById('cbmes').value;
    divResultado = document.getElementById('divprod');
    divResultado.innerHTML= '<img src="anim.gif">';
   var aleatorio=Math.random();
   ajax=objetoAjax();
   ajax.open("GET", "listarproduccion.php?dni="+dni+"&anno="+anno+"&mes="+mes+"&ran="+aleatorio);
   ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}



function GrabarReg(){
       var dni = document.getElementById("dni").value;
       var fecha = document.getElementById("fechaini").value; 
      
        if(fecha == 0){
          alert('Registre Fecha'); return;
        }
       var idh = document.getElementById("cbhora").value; 
        if(idh == 0){
          alert('Seleccione Turno'); return;
        }
       var ida = document.getElementById("cbarea").value; 
      if(ida == 0){
          alert('Seleccione Unidad Organica'); return;
        }
       var idact = document.getElementById("cbactividad").value; 
      if(idact == 0){
          alert('Seleccione Actividad'); return;
        }
       var idth = document.getElementById("cbtipohora").value; 
      if(idth == 0){
          alert('Seleccione Tipo Hora'); return;
        }
  
      var error =0;
      for(var i=1;i<=15;i++){
                 
         if((document.getElementById("pdni"+i).value!="") && (document.getElementById("pnom"+i).value=="")){
          var ddni= document.getElementById("pdni"+i).value;
          alert("DEBE INGRESAR EL NOMBRE DEL PACIENTE CON DNI "+ddni);
           error=1;
           break;
          }
        
        if(document.getElementById("pdni"+i).lenght <8){
          var ddni= document.getElementById("pdni"+i).value;
          alert("DEBE INGRESAR EL NUMERO DE DNI CORRECTAMENTE "+ddni);
          error = 1;
          break;
        }
        
        }
  
        if(error == 1){
          return false;
        }
  
         
   var nropaq = document.getElementById("pdnrop").value;
             
        
        if (ida == 15){
          
          if(idact!= 7){
             alert('La Unidad Organica no guarda relacion con la Actividad'); return;
          }else if(nropaq==''){
             alert('Registre numero de Litros'); return;
          }else{
             var numpac = nropaq;
            var aleatorio=Math.random();
            var cadena = "regnuevo.php?dni="+dni+"&fecha="+fecha+"&idh="+idh+"&ida="+ida+"&idact="+idact+"&idth="+idth+"&numpac="+numpac+"&save=1&ale="+aleatorio;
            }
        
        //para lo que no es central de esterilizacion
        } else{
          
        var j=0;  
        var arr_dni = new Array();
        var arr_nom = new Array();
        
        for(var i=1;i<=15;i++){
        j=i-1;
          
        if((document.getElementById("pdni"+i).value!="") && (document.getElementById("pnom"+i).value!="") ){
          
          arr_dni[j]=document.getElementById("pdni"+i).value;
          arr_nom[j]=document.getElementById("pnom"+i).value;
          
        }//else if((document.getElementById("pdni"+i).value!="") && (document.getElementById("pnom"+i).value=="")){
         // var ddni= document.getElementById("pdni"+i).value;
         // alert("DEBE INGRESAR EL NOMBRE DEL PACIENTE CON DNI "+ddni);
         // return;
       // }
        }
        
        //alert(arr_dni.length);
        for(var k=0;k<arr_dni.length;k++){
          var dnia = arr_dni[k];
          //alert(dnia);
          for(var m=k+1;m<arr_dni.length;m++){
          if(arr_dni[m] == dnia){
              alert('DNI: ' + dnia + ' duplicado'); error=1; break;
            }
          }
        }
        
          
          if(error==1){
            return false;
          }
        
  
        if(arr_dni.length>0){
       //arr_dnis = serialize(arr_dni);
        //arr_noms = serialize(arr_nom);
		arr_dnis = implode(arr_dni);
		arr_noms = implode(arr_nom);
        }else{
          alert("NO INGRESO NINGUN PACIENTE");
          return;
        }
        
        var numpac = 0;
        var aleatorio=Math.random();
        var cadena = "regnuevo.php?dni="+dni+"&fecha="+fecha+"&idh="+idh+"&ida="+ida+"&idact="+idact+"&idth="+idth+"&numpac="+numpac+"&save=1&dnis="+arr_dnis+"&noms="+arr_noms+"&ale="+aleatorio;
        }
        document.location=cadena;
}


function verpac(cod){
 
  var dni = document.getElementById("dnip"+cod).value;   
  var fecha = document.getElementById("fechap"+cod).value;
  var idh = document.getElementById("idh"+cod).value;
  var cadena = "listarpaciente.php?dni="+dni+"&fecha="+fecha+"&idh="+idh;
  window.open(cadena,"PACIENTES ATENDIDOS","width=700, height=400");
}


function bus_pac(cod){
  
  var dni = document.getElementById("pdni"+cod).value;
  
  if (dni == ''){
    document.getElementById("pnom"+cod).value = ''; return;
  } 
  
  if(dni.length != 8){
          alert('Numero de DNI '+dni+' incorrecto'); return;
        }
  
    divResultado = document.getElementById('divp'+cod);
    divResultado.innerHTML= '<img src="anim.gif">';
   var aleatorio=Math.random();
   ajax=objetoAjax();
   ajax.open("GET", "consultapac.php?dni="+dni+"&id="+cod+"&ran="+aleatorio);
   ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}


 function implode(arr){
      var imploded=arr[0];
      for (i=1; i<arr.length; i++)imploded += '|' + arr[i];
      return imploded
 }


function serialize(arr) 
{ 
var res = 'a:'+ arr.length +':{'; 
for(var i=0; i<arr.length; i++) 
{ 
if( arr[i]==0 ){
//res += 'i:'+i+';s:0:"'+arr[i]+'";'; 
res += 'i:'+i+';s:1:"'+arr[i]+'";'; 
}else if(arr[i]>0 && arr[i]<10){
//res += 'i:'+i+';s:1:"'+arr[i]+'";'; 
res += 'i:'+i+';s:1:"'+arr[i]+'";'; 
}else{
//res += 'i:'+i+';s:'+arr[i].length+':"'+arr[i]+'";'; 
res += 'i:'+i+';s:'+arr[i].length+':"'+arr[i]+'";'; 
}
//alert(arr[i]);
} 
res += '}'; 
//alert(res);
return res; 
}